<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Tacho_Activity StructType
 * @subpackage Structs
 */
class Tacho_Activity extends CodeInfo
{
    /**
     * The Started
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $Started;
    /**
     * Constructor method for Tacho_Activity
     * @uses Tacho_Activity::setStarted()
     * @param string $started
     */
    public function __construct($started = null)
    {
        $this
            ->setStarted($started);
    }
    /**
     * Get Started value
     * @return string
     */
    public function getStarted()
    {
        return $this->Started;
    }
    /**
     * Set Started value
     * @param string $started
     * @return \StructType\Tacho_Activity
     */
    public function setStarted($started = null)
    {
        // validation for constraint: string
        if (!is_null($started) && !is_string($started)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($started, true), gettype($started)), __LINE__);
        }
        $this->Started = $started;
        return $this;
    }
}
